aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2006-11-23 12:15:17 +0000
committerRichard Purdie <richard@openedhand.com>2006-11-23 12:15:17 +0000
commit14d1d6d8796eb3c5bf6df2b444ad8a4555a2e1ed (patch)
tree5fd0e58205f5fcdd7ee64b5dd77614682c67b830
parent5285430f170a6ac9304a842eaa0d2705d5e711ef (diff)
downloadopenembedded-core-contrib-14d1d6d8796eb3c5bf6df2b444ad8a4555a2e1ed.tar.gz
scripts: Move main contents of poky-init-build-env to scripts/poky-env-internal. Add poky-autobuild script for autobuilder use.
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@948 311d38ba-8fff-0310-9ca6-ca027cbcb966
-rwxr-xr-xpoky-init-build-env57
-rwxr-xr-xscripts/poky-autobuild29
-rwxr-xr-xscripts/poky-env-internal77
3 files changed, 107 insertions, 56 deletions
diff --git a/poky-init-build-env b/poky-init-build-env
index 45b41087a3..10ff9fc8b2 100755
--- a/poky-init-build-env
+++ b/poky-init-build-env
@@ -24,59 +24,4 @@ if test x"$0" = x"./poky-init-build-env"; then
exit 1
fi
-#
-# Change this to the location of this file.
-# Also update the locations at the top of conf/local.conf
-#
-OEROOT=`pwd`
-
-BBDIR=$OEROOT/bitbake/
-PKGDIR=$OEROOT/meta/
-BUILDDIR=$OEROOT/build/
-MSG=''
-
-BUILD_ARCH=`uname -m`
-BUILD_OS=`uname | tr [A-Z] [a-z]`
-BUILD_SYS=$BUILD_ARCH-$BUILD_OS
-
-PATH=$BBDIR/bin/:$OEROOT/scripts:$PATH
-
-cd $BUILDDIR
-
-# Remove any symlinks from paths
-BBDIR=`readlink -f $BBDIR`
-PKGDIR=`readlink -f $PKGDIR`
-BUILDDIR=`readlink -f $BUILDDIR`
-
-if ! (test -d $BBDIR && test -d $PKGDIR && test -d $BUILDDIR); then
- echo >&2 "Error: Not all directories exist! Did you run this script in poky directory?"
- exit 1
-fi
-
-if ! (test -r $BUILDDIR/conf/local.conf); then
- cp -f $BUILDDIR/conf/local.conf.sample $BUILDDIR/conf/local.conf
-fi
-
-BBPATH=$BBDIR
-if test x"$BBDIR" != x"$PKGDIR"; then
- BBPATH=$PKGDIR:$BBPATH
-fi
-BBPATH="`readlink -f $HOME/.oe`:`readlink -f $HOME/.poky`:$BBPATH"
-if test x"$PKGDIR" != x"$BUILDDIR"; then
- BBPATH=$BUILDDIR:$BBPATH
-fi
-export BBPATH OEROOT BUILD_SYS BUILDDIR
-
-# Kill off the TERMINFO variable, as glibc will grab its contents in its 'make
-# install' if set
-unset TERMINFO
-# kill this so we don't link non-arm libraries
-unset LD_LIBRARY_PATH
-# Don't export TARGET_ARCH - it *will* cause build failures
-export PATH LD_LIBRARY_PATH OEROOT
-# Stop multi byte characters breaking the patcher stuff - This is for Redhat / Fedora people really
-export LANG=C
-
-echo
-echo "### Shell environment set up for Poky builds. ###"
-echo
+. ./scripts/poky-env-internal
diff --git a/scripts/poky-autobuild b/scripts/poky-autobuild
new file mode 100755
index 0000000000..a8f9decc27
--- /dev/null
+++ b/scripts/poky-autobuild
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Poky Build Enviroment Setup Script
+#
+# Copyright (C) 2006 OpenedHand LTD
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+#if test x"$0" = x"./poky-init-build-env"; then
+# echo "Error: Run via '. ./poky-init-build-env'"
+# exit 1
+#fi
+
+. ./scripts/poky-env-internal
+
+bitbake $1
diff --git a/scripts/poky-env-internal b/scripts/poky-env-internal
new file mode 100755
index 0000000000..99cecacf68
--- /dev/null
+++ b/scripts/poky-env-internal
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Poky Build Enviroment Setup Script
+#
+# Copyright (C) 2006 OpenedHand LTD
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+#
+# Change this to the location of this file.
+# Also update the locations at the top of conf/local.conf
+#
+OEROOT=`pwd`
+
+BBDIR=$OEROOT/bitbake/
+PKGDIR=$OEROOT/meta/
+BUILDDIR=$OEROOT/build/
+MSG=''
+
+BUILD_ARCH=`uname -m`
+BUILD_OS=`uname | tr [A-Z] [a-z]`
+BUILD_SYS=$BUILD_ARCH-$BUILD_OS
+
+PATH=$BBDIR/bin/:$OEROOT/scripts:$PATH
+
+cd $BUILDDIR
+
+# Remove any symlinks from paths
+BBDIR=`readlink -f $BBDIR`
+PKGDIR=`readlink -f $PKGDIR`
+BUILDDIR=`readlink -f $BUILDDIR`
+
+if ! (test -d $BBDIR && test -d $PKGDIR && test -d $BUILDDIR); then
+ echo >&2 "Error: Not all directories exist! Did you run this script in poky directory?"
+ exit 1
+fi
+
+if ! (test -r $BUILDDIR/conf/local.conf); then
+ cp -f $BUILDDIR/conf/local.conf.sample $BUILDDIR/conf/local.conf
+fi
+
+BBPATH=$BBDIR
+if test x"$BBDIR" != x"$PKGDIR"; then
+ BBPATH=$PKGDIR:$BBPATH
+fi
+BBPATH="`readlink -f $HOME/.oe`:`readlink -f $HOME/.poky`:$BBPATH"
+if test x"$PKGDIR" != x"$BUILDDIR"; then
+ BBPATH=$BUILDDIR:$BBPATH
+fi
+export BBPATH OEROOT BUILD_SYS BUILDDIR
+
+# Kill off the TERMINFO variable, as glibc will grab its contents in its 'make
+# install' if set
+unset TERMINFO
+# kill this so we don't link non-arm libraries
+unset LD_LIBRARY_PATH
+# Don't export TARGET_ARCH - it *will* cause build failures
+export PATH LD_LIBRARY_PATH OEROOT
+# Stop multi byte characters breaking the patcher stuff - This is for Redhat / Fedora people really
+export LANG=C
+
+echo
+echo "### Shell environment set up for Poky builds. ###"
+echo